/**
 * output package name
 */
package com.kingdee.eas.custom.shop.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractStartShopEditUI extends com.kingdee.eas.xr.client.XRBillBaseEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractStartShopEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreator;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contLastUpdateTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contCU;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditor;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contStatus;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contBizStatus;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contAuditTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contshopNumber;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contbrand;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contshopDate;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contprePerson;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contcompany;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contpreDepartment;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contremark;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCreator;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkCreateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtLastUpdateUser;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkLastUpdateTime;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtCU;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkBizDate;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtAuditor;
    protected com.kingdee.bos.ctrl.swing.KDComboBox comboStatus;
    protected com.kingdee.bos.ctrl.swing.KDComboBox comboBizStatus;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkAuditTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtshopNumber;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtbrand;
    protected com.kingdee.bos.ctrl.swing.KDDatePicker pkshopDate;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtprePerson;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtcompany;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtpreDepartment;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneremark;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtremark;
    protected com.kingdee.eas.custom.shop.StartShopInfo editData = null;
    public final static String STATUS_SUBONTRACT = "Subontract";
    /**
     * output class constructor
     */
    public AbstractStartShopEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractStartShopEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        //actionSubmit
        String _tempStr = null;
        actionSubmit.setEnabled(true);
        actionSubmit.setDaemonRun(false);

        actionSubmit.putValue(ItemAction.ACCELERATOR_KEY, KeyStroke.getKeyStroke("ctrl S"));
        _tempStr = resHelper.getString("ActionSubmit.SHORT_DESCRIPTION");
        actionSubmit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.LONG_DESCRIPTION");
        actionSubmit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionSubmit.NAME");
        actionSubmit.putValue(ItemAction.NAME, _tempStr);
        this.actionSubmit.setBindWorkFlow(true);
        this.actionSubmit.setExtendProperty("canForewarn", "true");
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.NetFunctionService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.UserMonitorService());
         this.actionSubmit.addService(new com.kingdee.eas.framework.client.service.ForewarnService());
        //actionUnAudit
        actionUnAudit.setEnabled(true);
        actionUnAudit.setDaemonRun(false);

        _tempStr = resHelper.getString("ActionUnAudit.SHORT_DESCRIPTION");
        actionUnAudit.putValue(ItemAction.SHORT_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionUnAudit.LONG_DESCRIPTION");
        actionUnAudit.putValue(ItemAction.LONG_DESCRIPTION, _tempStr);
        _tempStr = resHelper.getString("ActionUnAudit.NAME");
        actionUnAudit.putValue(ItemAction.NAME, _tempStr);
        this.actionUnAudit.setBindWorkFlow(true);
         this.actionUnAudit.addService(new com.kingdee.eas.framework.client.service.PermissionService());
        this.contCreator = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateUser = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contCU = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditor = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contBizStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contAuditTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contshopNumber = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contbrand = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contshopDate = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contprePerson = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contcompany = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contpreDepartment = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contremark = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.prmtCreator = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkCreateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtLastUpdateUser = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.pkLastUpdateTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtCU = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkBizDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtDescription = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.prmtAuditor = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.comboStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.comboBizStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.pkAuditTime = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.txtshopNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtbrand = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.pkshopDate = new com.kingdee.bos.ctrl.swing.KDDatePicker();
        this.prmtprePerson = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtcompany = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.prmtpreDepartment = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.scrollPaneremark = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtremark = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contCU.setName("contCU");
        this.contNumber.setName("contNumber");
        this.contBizDate.setName("contBizDate");
        this.contDescription.setName("contDescription");
        this.contAuditor.setName("contAuditor");
        this.contStatus.setName("contStatus");
        this.contBizStatus.setName("contBizStatus");
        this.contAuditTime.setName("contAuditTime");
        this.contshopNumber.setName("contshopNumber");
        this.contbrand.setName("contbrand");
        this.contshopDate.setName("contshopDate");
        this.contprePerson.setName("contprePerson");
        this.contcompany.setName("contcompany");
        this.contpreDepartment.setName("contpreDepartment");
        this.contremark.setName("contremark");
        this.prmtCreator.setName("prmtCreator");
        this.pkCreateTime.setName("pkCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.pkLastUpdateTime.setName("pkLastUpdateTime");
        this.prmtCU.setName("prmtCU");
        this.txtNumber.setName("txtNumber");
        this.pkBizDate.setName("pkBizDate");
        this.txtDescription.setName("txtDescription");
        this.prmtAuditor.setName("prmtAuditor");
        this.comboStatus.setName("comboStatus");
        this.comboBizStatus.setName("comboBizStatus");
        this.pkAuditTime.setName("pkAuditTime");
        this.txtshopNumber.setName("txtshopNumber");
        this.txtbrand.setName("txtbrand");
        this.pkshopDate.setName("pkshopDate");
        this.prmtprePerson.setName("prmtprePerson");
        this.prmtcompany.setName("prmtcompany");
        this.prmtpreDepartment.setName("prmtpreDepartment");
        this.scrollPaneremark.setName("scrollPaneremark");
        this.txtremark.setName("txtremark");
        // CoreUI
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);
        // contCU		
        this.contCU.setBoundLabelText(resHelper.getString("contCU.boundLabelText"));		
        this.contCU.setBoundLabelLength(100);		
        this.contCU.setBoundLabelUnderline(true);		
        this.contCU.setEnabled(false);
        // contNumber		
        this.contNumber.setBoundLabelText(resHelper.getString("contNumber.boundLabelText"));		
        this.contNumber.setBoundLabelLength(100);		
        this.contNumber.setBoundLabelUnderline(true);
        // contBizDate		
        this.contBizDate.setBoundLabelText(resHelper.getString("contBizDate.boundLabelText"));		
        this.contBizDate.setBoundLabelLength(100);		
        this.contBizDate.setBoundLabelUnderline(true);
        // contDescription		
        this.contDescription.setBoundLabelText(resHelper.getString("contDescription.boundLabelText"));		
        this.contDescription.setBoundLabelLength(100);		
        this.contDescription.setBoundLabelUnderline(true);
        // contAuditor		
        this.contAuditor.setBoundLabelText(resHelper.getString("contAuditor.boundLabelText"));		
        this.contAuditor.setBoundLabelLength(100);		
        this.contAuditor.setBoundLabelUnderline(true);
        // contStatus		
        this.contStatus.setBoundLabelText(resHelper.getString("contStatus.boundLabelText"));		
        this.contStatus.setBoundLabelLength(100);		
        this.contStatus.setBoundLabelUnderline(true);		
        this.contStatus.setEnabled(false);
        // contBizStatus		
        this.contBizStatus.setBoundLabelText(resHelper.getString("contBizStatus.boundLabelText"));		
        this.contBizStatus.setBoundLabelLength(100);		
        this.contBizStatus.setBoundLabelUnderline(true);		
        this.contBizStatus.setEnabled(false);
        // contAuditTime		
        this.contAuditTime.setBoundLabelText(resHelper.getString("contAuditTime.boundLabelText"));		
        this.contAuditTime.setBoundLabelLength(100);		
        this.contAuditTime.setBoundLabelUnderline(true);
        // contshopNumber		
        this.contshopNumber.setBoundLabelText(resHelper.getString("contshopNumber.boundLabelText"));		
        this.contshopNumber.setBoundLabelLength(100);		
        this.contshopNumber.setBoundLabelUnderline(true);		
        this.contshopNumber.setVisible(true);
        // contbrand		
        this.contbrand.setBoundLabelText(resHelper.getString("contbrand.boundLabelText"));		
        this.contbrand.setBoundLabelLength(100);		
        this.contbrand.setBoundLabelUnderline(true);		
        this.contbrand.setVisible(true);
        // contshopDate		
        this.contshopDate.setBoundLabelText(resHelper.getString("contshopDate.boundLabelText"));		
        this.contshopDate.setBoundLabelLength(100);		
        this.contshopDate.setBoundLabelUnderline(true);		
        this.contshopDate.setVisible(true);
        // contprePerson		
        this.contprePerson.setBoundLabelText(resHelper.getString("contprePerson.boundLabelText"));		
        this.contprePerson.setBoundLabelLength(100);		
        this.contprePerson.setBoundLabelUnderline(true);		
        this.contprePerson.setVisible(true);
        // contcompany		
        this.contcompany.setBoundLabelText(resHelper.getString("contcompany.boundLabelText"));		
        this.contcompany.setBoundLabelLength(100);		
        this.contcompany.setBoundLabelUnderline(true);		
        this.contcompany.setVisible(true);
        // contpreDepartment		
        this.contpreDepartment.setBoundLabelText(resHelper.getString("contpreDepartment.boundLabelText"));		
        this.contpreDepartment.setBoundLabelLength(100);		
        this.contpreDepartment.setBoundLabelUnderline(true);		
        this.contpreDepartment.setVisible(true);
        // contremark		
        this.contremark.setBoundLabelText(resHelper.getString("contremark.boundLabelText"));		
        this.contremark.setBoundLabelLength(100);		
        this.contremark.setBoundLabelUnderline(true);		
        this.contremark.setVisible(true);
        // prmtCreator		
        this.prmtCreator.setEnabled(false);		
        this.prmtCreator.setCommitFormat("$name$");		
        this.prmtCreator.setEditFormat("$name$");		
        this.prmtCreator.setDisplayFormat("$name$");
        // pkCreateTime		
        this.pkCreateTime.setTimeEnabled(true);		
        this.pkCreateTime.setEnabled(false);
        // prmtLastUpdateUser		
        this.prmtLastUpdateUser.setEnabled(false);		
        this.prmtLastUpdateUser.setDisplayFormat("$name$");		
        this.prmtLastUpdateUser.setEditFormat("$name$");		
        this.prmtLastUpdateUser.setCommitFormat("$name$");
        // pkLastUpdateTime		
        this.pkLastUpdateTime.setTimeEnabled(true);		
        this.pkLastUpdateTime.setEnabled(false);
        // prmtCU		
        this.prmtCU.setEnabled(false);
        // txtNumber
        // pkBizDate
        // txtDescription
        // prmtAuditor		
        this.prmtAuditor.setEnabled(false);		
        this.prmtAuditor.setCommitFormat("$name$");		
        this.prmtAuditor.setDisplayFormat("$name$");		
        this.prmtAuditor.setEditFormat("$name$");
        // comboStatus		
        this.comboStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.xr.app.XRBillStatusEnum").toArray());		
        this.comboStatus.setEnabled(false);
        // comboBizStatus		
        this.comboBizStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.xr.app.XRBizActionEnum").toArray());		
        this.comboBizStatus.setEnabled(false);		
        this.comboBizStatus.setVisible(false);
        // pkAuditTime		
        this.pkAuditTime.setTimeEnabled(true);		
        this.pkAuditTime.setEnabled(false);
        // txtshopNumber		
        this.txtshopNumber.setVisible(true);		
        this.txtshopNumber.setHorizontalAlignment(2);		
        this.txtshopNumber.setMaxLength(255);		
        this.txtshopNumber.setRequired(false);
        // txtbrand		
        this.txtbrand.setVisible(true);		
        this.txtbrand.setHorizontalAlignment(2);		
        this.txtbrand.setMaxLength(255);		
        this.txtbrand.setRequired(false);
        // pkshopDate		
        this.pkshopDate.setVisible(true);		
        this.pkshopDate.setRequired(false);
        // prmtprePerson		
        this.prmtprePerson.setQueryInfo("com.kingdee.eas.basedata.person.app.PersonQuery");		
        this.prmtprePerson.setVisible(true);		
        this.prmtprePerson.setEditable(true);		
        this.prmtprePerson.setDisplayFormat("$name$");		
        this.prmtprePerson.setEditFormat("$number$");		
        this.prmtprePerson.setCommitFormat("$number$");		
        this.prmtprePerson.setRequired(false);
        this.prmtprePerson.addDataChangeListener(new com.kingdee.bos.ctrl.swing.event.DataChangeListener() {
            public void dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) {
                try {
                    prmtprePerson_dataChanged(e);
                } catch (Exception exc) {
                    handUIException(exc);
                } finally {
                }
            }
        });
        // prmtcompany		
        this.prmtcompany.setQueryInfo("com.kingdee.eas.basedata.org.app.CompanyOrgUnitQuery");		
        this.prmtcompany.setVisible(true);		
        this.prmtcompany.setEditable(true);		
        this.prmtcompany.setDisplayFormat("$name$");		
        this.prmtcompany.setEditFormat("$number$");		
        this.prmtcompany.setCommitFormat("$number$");		
        this.prmtcompany.setRequired(false);
        // prmtpreDepartment		
        this.prmtpreDepartment.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");		
        this.prmtpreDepartment.setVisible(true);		
        this.prmtpreDepartment.setEditable(true);		
        this.prmtpreDepartment.setDisplayFormat("$name$");		
        this.prmtpreDepartment.setEditFormat("$number$");		
        this.prmtpreDepartment.setCommitFormat("$number$");		
        this.prmtpreDepartment.setRequired(false);
        // scrollPaneremark
        // txtremark		
        this.txtremark.setVisible(true);		
        this.txtremark.setRequired(false);		
        this.txtremark.setMaxLength(2000);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txtshopNumber,txtbrand,pkshopDate,prmtprePerson,prmtcompany,prmtpreDepartment,txtremark}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(10, 10, 1013, 629));
        this.setLayout(new KDLayout());
        this.putClientProperty("OriginalBounds", new Rectangle(10, 10, 1013, 629));
        contCreator.setBounds(new Rectangle(23, 537, 270, 19));
        this.add(contCreator, new KDLayout.Constraints(23, 537, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contCreateTime.setBounds(new Rectangle(23, 560, 270, 19));
        this.add(contCreateTime, new KDLayout.Constraints(23, 560, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contLastUpdateUser.setBounds(new Rectangle(367, 537, 270, 19));
        this.add(contLastUpdateUser, new KDLayout.Constraints(367, 537, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contLastUpdateTime.setBounds(new Rectangle(367, 560, 270, 19));
        this.add(contLastUpdateTime, new KDLayout.Constraints(367, 560, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contCU.setBounds(new Rectangle(650, 445, 270, 19));
        this.add(contCU, new KDLayout.Constraints(650, 445, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contNumber.setBounds(new Rectangle(32, 7, 270, 19));
        this.add(contNumber, new KDLayout.Constraints(32, 7, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contBizDate.setBounds(new Rectangle(32, 65, 270, 19));
        this.add(contBizDate, new KDLayout.Constraints(32, 65, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contDescription.setBounds(new Rectangle(682, 410, 270, 19));
        this.add(contDescription, new KDLayout.Constraints(682, 410, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contAuditor.setBounds(new Rectangle(712, 537, 270, 19));
        this.add(contAuditor, new KDLayout.Constraints(712, 537, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contStatus.setBounds(new Rectangle(32, 36, 270, 19));
        this.add(contStatus, new KDLayout.Constraints(32, 36, 270, 19, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contBizStatus.setBounds(new Rectangle(697, 386, 270, 19));
        this.add(contBizStatus, new KDLayout.Constraints(697, 386, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contAuditTime.setBounds(new Rectangle(712, 560, 270, 19));
        this.add(contAuditTime, new KDLayout.Constraints(712, 560, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contshopNumber.setBounds(new Rectangle(369, 7, 270, 19));
        this.add(contshopNumber, new KDLayout.Constraints(369, 7, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contbrand.setBounds(new Rectangle(369, 36, 270, 19));
        this.add(contbrand, new KDLayout.Constraints(369, 36, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contshopDate.setBounds(new Rectangle(369, 65, 270, 19));
        this.add(contshopDate, new KDLayout.Constraints(369, 65, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT_SCALE));
        contprePerson.setBounds(new Rectangle(707, 7, 270, 19));
        this.add(contprePerson, new KDLayout.Constraints(707, 7, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contcompany.setBounds(new Rectangle(707, 65, 270, 19));
        this.add(contcompany, new KDLayout.Constraints(707, 65, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contpreDepartment.setBounds(new Rectangle(707, 36, 270, 19));
        this.add(contpreDepartment, new KDLayout.Constraints(707, 36, 270, 19, KDLayout.Constraints.ANCHOR_LEFT_SCALE | KDLayout.Constraints.ANCHOR_RIGHT));
        contremark.setBounds(new Rectangle(28, 98, 947, 82));
        this.add(contremark, new KDLayout.Constraints(28, 98, 947, 82, KDLayout.Constraints.ANCHOR_LEFT | KDLayout.Constraints.ANCHOR_RIGHT));
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(pkCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(pkLastUpdateTime);
        //contCU
        contCU.setBoundEditor(prmtCU);
        //contNumber
        contNumber.setBoundEditor(txtNumber);
        //contBizDate
        contBizDate.setBoundEditor(pkBizDate);
        //contDescription
        contDescription.setBoundEditor(txtDescription);
        //contAuditor
        contAuditor.setBoundEditor(prmtAuditor);
        //contStatus
        contStatus.setBoundEditor(comboStatus);
        //contBizStatus
        contBizStatus.setBoundEditor(comboBizStatus);
        //contAuditTime
        contAuditTime.setBoundEditor(pkAuditTime);
        //contshopNumber
        contshopNumber.setBoundEditor(txtshopNumber);
        //contbrand
        contbrand.setBoundEditor(txtbrand);
        //contshopDate
        contshopDate.setBoundEditor(pkshopDate);
        //contprePerson
        contprePerson.setBoundEditor(prmtprePerson);
        //contcompany
        contcompany.setBoundEditor(prmtcompany);
        //contpreDepartment
        contpreDepartment.setBoundEditor(prmtpreDepartment);
        //contremark
        contremark.setBoundEditor(scrollPaneremark);
        //scrollPaneremark
        scrollPaneremark.getViewport().add(txtremark, null);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTable1);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuWorkflow);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator6);
        menuFile.add(menuItemSendMail);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        menuEdit.add(separator1);
        menuEdit.add(menuItemCreateFrom);
        menuEdit.add(menuItemCreateTo);
        menuEdit.add(menuItemCopyFrom);
        menuEdit.add(separatorEdit1);
        menuEdit.add(menuItemEnterToNextRow);
        menuEdit.add(separator2);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        menuView.add(separator3);
        menuView.add(menuItemTraceUp);
        menuView.add(menuItemTraceDown);
        menuView.add(kDSeparator7);
        menuView.add(menuItemLocate);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        menuBiz.add(MenuItemVoucher);
        menuBiz.add(menuItemDelVoucher);
        //menuTable1
        menuTable1.add(menuItemAddLine);
        menuTable1.add(menuItemCopyLine);
        menuTable1.add(menuItemInsertLine);
        menuTable1.add(menuItemRemoveLine);
        //menuTool
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuWorkflow
        menuWorkflow.add(menuItemStartWorkFlow);
        menuWorkflow.add(separatorWF1);
        menuWorkflow.add(menuItemViewSubmitProccess);
        menuWorkflow.add(menuItemViewDoProccess);
        menuWorkflow.add(MenuItemWFG);
        menuWorkflow.add(menuItemWorkFlowList);
        menuWorkflow.add(separatorWF2);
        menuWorkflow.add(menuItemMultiapprove);
        menuWorkflow.add(menuItemNextPerson);
        menuWorkflow.add(menuItemAuditResult);
        menuWorkflow.add(kDSeparator5);
        menuWorkflow.add(kDMenuItemSendMessage);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnSave);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnReset);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(btnAudit);
        this.toolBar.add(btnUnAudit);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnTraceUp);
        this.toolBar.add(btnTraceDown);
        this.toolBar.add(btnWorkFlowG);
        this.toolBar.add(btnSignature);
        this.toolBar.add(btnNumberSign);
        this.toolBar.add(btnViewSignature);
        this.toolBar.add(separatorFW4);
        this.toolBar.add(separatorFW7);
        this.toolBar.add(btnCreateFrom);
        this.toolBar.add(btnCopyFrom);
        this.toolBar.add(btnCreateTo);
        this.toolBar.add(separatorFW5);
        this.toolBar.add(separatorFW8);
        this.toolBar.add(btnAddLine);
        this.toolBar.add(btnCopyLine);
        this.toolBar.add(btnInsertLine);
        this.toolBar.add(btnRemoveLine);
        this.toolBar.add(separatorFW6);
        this.toolBar.add(separatorFW9);
        this.toolBar.add(btnVoucher);
        this.toolBar.add(btnDelVoucher);
        this.toolBar.add(btnAuditResult);
        this.toolBar.add(btnMultiapprove);
        this.toolBar.add(btnWFViewdoProccess);
        this.toolBar.add(btnWFViewSubmitProccess);
        this.toolBar.add(btnNextPerson);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.pkCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.pkLastUpdateTime, "value");
		dataBinder.registerBinding("CU", com.kingdee.eas.basedata.org.CtrlUnitInfo.class, this.prmtCU, "data");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("bizDate", java.util.Date.class, this.pkBizDate, "value");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "text");
		dataBinder.registerBinding("auditor", com.kingdee.eas.base.permission.UserInfo.class, this.prmtAuditor, "data");
		dataBinder.registerBinding("status", com.kingdee.eas.xr.app.XRBillStatusEnum.class, this.comboStatus, "selectedItem");
		dataBinder.registerBinding("bizStatus", com.kingdee.eas.xr.app.XRBizActionEnum.class, this.comboBizStatus, "selectedItem");
		dataBinder.registerBinding("auditTime", java.sql.Timestamp.class, this.pkAuditTime, "value");
		dataBinder.registerBinding("shopNumber", String.class, this.txtshopNumber, "text");
		dataBinder.registerBinding("brand", String.class, this.txtbrand, "text");
		dataBinder.registerBinding("shopDate", java.util.Date.class, this.pkshopDate, "value");
		dataBinder.registerBinding("prePerson", com.kingdee.eas.basedata.person.PersonInfo.class, this.prmtprePerson, "data");
		dataBinder.registerBinding("company", com.kingdee.eas.basedata.org.CompanyOrgUnitInfo.class, this.prmtcompany, "data");
		dataBinder.registerBinding("preDepartment", com.kingdee.eas.basedata.org.AdminOrgUnitInfo.class, this.prmtpreDepartment, "data");
		dataBinder.registerBinding("remark", String.class, this.txtremark, "text");		
	}
	//Regiester UI State
	private void registerUIState(){					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.txtshopNumber, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.txtbrand, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.pkshopDate, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtprePerson, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtcompany, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtpreDepartment, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.txtremark, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.comboStatus, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.comboBizStatus, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.pkAuditTime, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.txtNumber, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.pkBizDate, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.txtDescription, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtAuditor, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtCreator, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.pkCreateTime, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtLastUpdateUser, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.pkLastUpdateTime, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.prmtCU, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAudit, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPageSetup, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExitCurrent, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionHelp, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAbout, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionOnLoad, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSendMessage, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCalculator, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExport, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExportSelected, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionRegProduct, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPersonalSite, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionProcductVal, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExportSave, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExportSelectedSave, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.ActionKnowStore, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.ActionAnswer, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.ActionRemoteAssist, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPopupCopy, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionHTMLForMail, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExcelForMail, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionHTMLForRpt, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionExcelForRpt, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionLinkForRpt, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPopupPaste, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionToolBarCustom, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCloudFeed, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCloudShare, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCloudScreen, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionXunTongFeed, ActionStateConst.DISABLED);
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSave, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSubmit, ActionStateConst.ENABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCancel, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCancelCancel, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionFirst, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPre, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionNext, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionLast, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPrint, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionPrintPreview, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCopy, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAddNew, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionEdit, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionRemove, ActionStateConst.DISABLED);
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAttachment, ActionStateConst.ENABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSubmitOption, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionReset, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionMsgFormat, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAddLine, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCopyLine, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionInsertLine, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionRemoveLine, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCreateFrom, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCopyFrom, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionAuditResult, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionTraceUp, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionTraceDown, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionViewSubmitProccess, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionViewDoProccess, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionMultiapprove, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionNextPerson, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionStartWorkFlow, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionVoucher, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionDelVoucher, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionWorkFlowG, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionCreateTo, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSendingMessage, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSignature, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionWorkflowList, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionViewSignature, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionSendMail, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionLocate, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionNumberSign, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_SUBONTRACT, this.actionUnAudit, ActionStateConst.DISABLED);		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.shop.app.StartShopEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtshopNumber.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.shop.StartShopInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("CU", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditor", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("status", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizStatus", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("auditTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("shopNumber", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("brand", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("shopDate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("prePerson", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("company", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("preDepartment", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("remark", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        } else if (STATUS_FINDVIEW.equals(this.oprtState)) {
        } else if (STATUS_SUBONTRACT.equals(this.oprtState)) {
		            this.txtshopNumber.setVisible(true);
		            this.txtshopNumber.setEnabled(false);
		            this.txtbrand.setVisible(true);
		            this.txtbrand.setEnabled(false);
		            this.pkshopDate.setVisible(true);
		            this.pkshopDate.setEnabled(false);
		            this.prmtprePerson.setVisible(true);
		            this.prmtprePerson.setEnabled(false);
		            this.prmtcompany.setVisible(true);
		            this.prmtcompany.setEnabled(false);
		            this.prmtpreDepartment.setVisible(true);
		            this.prmtpreDepartment.setEnabled(false);
		            this.txtremark.setVisible(true);
		            this.txtremark.setEnabled(false);
		            this.comboStatus.setVisible(true);
		            this.comboStatus.setEnabled(false);
		            this.comboBizStatus.setVisible(true);
		            this.comboBizStatus.setEnabled(false);
		            this.pkAuditTime.setVisible(true);
		            this.pkAuditTime.setEnabled(false);
		            this.txtNumber.setVisible(true);
		            this.txtNumber.setEnabled(false);
		            this.pkBizDate.setVisible(true);
		            this.pkBizDate.setEnabled(false);
		            this.txtDescription.setVisible(true);
		            this.txtDescription.setEnabled(false);
		            this.prmtAuditor.setVisible(true);
		            this.prmtAuditor.setEnabled(false);
		            this.prmtCreator.setVisible(true);
		            this.prmtCreator.setEnabled(false);
		            this.pkCreateTime.setVisible(true);
		            this.pkCreateTime.setEnabled(false);
		            this.prmtLastUpdateUser.setVisible(true);
		            this.prmtLastUpdateUser.setEnabled(false);
		            this.pkLastUpdateTime.setVisible(true);
		            this.pkLastUpdateTime.setEnabled(false);
		            this.prmtCU.setVisible(true);
		            this.prmtCU.setEnabled(false);
		            this.actionAudit.setVisible(false);
		            this.actionAudit.setEnabled(false);
		            this.actionPageSetup.setVisible(false);
		            this.actionPageSetup.setEnabled(false);
		            this.actionExitCurrent.setVisible(false);
		            this.actionExitCurrent.setEnabled(false);
		            this.actionHelp.setVisible(false);
		            this.actionHelp.setEnabled(false);
		            this.actionAbout.setVisible(false);
		            this.actionAbout.setEnabled(false);
		            this.actionOnLoad.setVisible(false);
		            this.actionOnLoad.setEnabled(false);
		            this.actionSendMessage.setVisible(false);
		            this.actionSendMessage.setEnabled(false);
		            this.actionCalculator.setVisible(false);
		            this.actionCalculator.setEnabled(false);
		            this.actionExport.setVisible(false);
		            this.actionExport.setEnabled(false);
		            this.actionExportSelected.setVisible(false);
		            this.actionExportSelected.setEnabled(false);
		            this.actionRegProduct.setVisible(false);
		            this.actionRegProduct.setEnabled(false);
		            this.actionPersonalSite.setVisible(false);
		            this.actionPersonalSite.setEnabled(false);
		            this.actionProcductVal.setVisible(false);
		            this.actionProcductVal.setEnabled(false);
		            this.actionExportSave.setVisible(false);
		            this.actionExportSave.setEnabled(false);
		            this.actionExportSelectedSave.setVisible(false);
		            this.actionExportSelectedSave.setEnabled(false);
		            this.ActionKnowStore.setVisible(false);
		            this.ActionKnowStore.setEnabled(false);
		            this.ActionAnswer.setVisible(false);
		            this.ActionAnswer.setEnabled(false);
		            this.ActionRemoteAssist.setVisible(false);
		            this.ActionRemoteAssist.setEnabled(false);
		            this.actionPopupCopy.setVisible(false);
		            this.actionPopupCopy.setEnabled(false);
		            this.actionHTMLForMail.setVisible(false);
		            this.actionHTMLForMail.setEnabled(false);
		            this.actionExcelForMail.setVisible(false);
		            this.actionExcelForMail.setEnabled(false);
		            this.actionHTMLForRpt.setVisible(false);
		            this.actionHTMLForRpt.setEnabled(false);
		            this.actionExcelForRpt.setVisible(false);
		            this.actionExcelForRpt.setEnabled(false);
		            this.actionLinkForRpt.setVisible(false);
		            this.actionLinkForRpt.setEnabled(false);
		            this.actionPopupPaste.setVisible(false);
		            this.actionPopupPaste.setEnabled(false);
		            this.actionToolBarCustom.setVisible(false);
		            this.actionToolBarCustom.setEnabled(false);
		            this.actionCloudFeed.setVisible(false);
		            this.actionCloudFeed.setEnabled(false);
		            this.actionCloudShare.setVisible(false);
		            this.actionCloudShare.setEnabled(false);
		            this.actionCloudScreen.setVisible(false);
		            this.actionCloudScreen.setEnabled(false);
		            this.actionXunTongFeed.setVisible(false);
		            this.actionXunTongFeed.setEnabled(false);
		            this.actionSave.setVisible(true);
		            this.actionSave.setEnabled(true);
		            this.actionSubmit.setVisible(true);
		            this.actionSubmit.setEnabled(true);
		            this.actionCancel.setVisible(false);
		            this.actionCancel.setEnabled(false);
		            this.actionCancelCancel.setVisible(false);
		            this.actionCancelCancel.setEnabled(false);
		            this.actionFirst.setVisible(false);
		            this.actionFirst.setEnabled(false);
		            this.actionPre.setVisible(false);
		            this.actionPre.setEnabled(false);
		            this.actionNext.setVisible(false);
		            this.actionNext.setEnabled(false);
		            this.actionLast.setVisible(false);
		            this.actionLast.setEnabled(false);
		            this.actionPrint.setVisible(false);
		            this.actionPrint.setEnabled(false);
		            this.actionPrintPreview.setVisible(false);
		            this.actionPrintPreview.setEnabled(false);
		            this.actionCopy.setVisible(false);
		            this.actionCopy.setEnabled(false);
		            this.actionAddNew.setVisible(false);
		            this.actionAddNew.setEnabled(false);
		            this.actionEdit.setVisible(false);
		            this.actionEdit.setEnabled(false);
		            this.actionRemove.setVisible(false);
		            this.actionRemove.setEnabled(false);
		            this.actionAttachment.setVisible(true);
		            this.actionAttachment.setEnabled(true);
		            this.actionSubmitOption.setVisible(false);
		            this.actionSubmitOption.setEnabled(false);
		            this.actionReset.setVisible(false);
		            this.actionReset.setEnabled(false);
		            this.actionMsgFormat.setVisible(false);
		            this.actionMsgFormat.setEnabled(false);
		            this.actionAddLine.setVisible(false);
		            this.actionAddLine.setEnabled(false);
		            this.actionCopyLine.setVisible(false);
		            this.actionCopyLine.setEnabled(false);
		            this.actionInsertLine.setVisible(false);
		            this.actionInsertLine.setEnabled(false);
		            this.actionRemoveLine.setVisible(false);
		            this.actionRemoveLine.setEnabled(false);
		            this.actionCreateFrom.setVisible(false);
		            this.actionCreateFrom.setEnabled(false);
		            this.actionCopyFrom.setVisible(false);
		            this.actionCopyFrom.setEnabled(false);
		            this.actionAuditResult.setVisible(false);
		            this.actionAuditResult.setEnabled(false);
		            this.actionTraceUp.setVisible(false);
		            this.actionTraceUp.setEnabled(false);
		            this.actionTraceDown.setVisible(false);
		            this.actionTraceDown.setEnabled(false);
		            this.actionViewSubmitProccess.setVisible(false);
		            this.actionViewSubmitProccess.setEnabled(false);
		            this.actionViewDoProccess.setVisible(false);
		            this.actionViewDoProccess.setEnabled(false);
		            this.actionMultiapprove.setVisible(false);
		            this.actionMultiapprove.setEnabled(false);
		            this.actionNextPerson.setVisible(false);
		            this.actionNextPerson.setEnabled(false);
		            this.actionStartWorkFlow.setVisible(false);
		            this.actionStartWorkFlow.setEnabled(false);
		            this.actionVoucher.setVisible(false);
		            this.actionVoucher.setEnabled(false);
		            this.actionDelVoucher.setVisible(false);
		            this.actionDelVoucher.setEnabled(false);
		            this.actionWorkFlowG.setVisible(false);
		            this.actionWorkFlowG.setEnabled(false);
		            this.actionCreateTo.setVisible(false);
		            this.actionCreateTo.setEnabled(false);
		            this.actionSendingMessage.setVisible(false);
		            this.actionSendingMessage.setEnabled(false);
		            this.actionSignature.setVisible(false);
		            this.actionSignature.setEnabled(false);
		            this.actionWorkflowList.setVisible(false);
		            this.actionWorkflowList.setEnabled(false);
		            this.actionViewSignature.setVisible(false);
		            this.actionViewSignature.setEnabled(false);
		            this.actionSendMail.setVisible(false);
		            this.actionSendMail.setEnabled(false);
		            this.actionLocate.setVisible(false);
		            this.actionLocate.setEnabled(false);
		            this.actionNumberSign.setVisible(false);
		            this.actionNumberSign.setEnabled(false);
		            this.actionUnAudit.setVisible(false);
		            this.actionUnAudit.setEnabled(false);
        }
    }

    /**
     * output prmtprePerson_dataChanged method
     */
    protected void prmtprePerson_dataChanged(com.kingdee.bos.ctrl.swing.event.DataChangeEvent e) throws Exception
    {
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("creator.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("creator.id"));
        	sic.add(new SelectorItemInfo("creator.number"));
        	sic.add(new SelectorItemInfo("creator.name"));
		}
        sic.add(new SelectorItemInfo("createTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("lastUpdateUser.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("lastUpdateUser.id"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.number"));
        	sic.add(new SelectorItemInfo("lastUpdateUser.name"));
		}
        sic.add(new SelectorItemInfo("lastUpdateTime"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("CU.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("CU.id"));
        	sic.add(new SelectorItemInfo("CU.number"));
        	sic.add(new SelectorItemInfo("CU.name"));
		}
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("bizDate"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("auditor.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("auditor.id"));
        	sic.add(new SelectorItemInfo("auditor.number"));
        	sic.add(new SelectorItemInfo("auditor.name"));
		}
        sic.add(new SelectorItemInfo("status"));
        sic.add(new SelectorItemInfo("bizStatus"));
        sic.add(new SelectorItemInfo("auditTime"));
        sic.add(new SelectorItemInfo("shopNumber"));
        sic.add(new SelectorItemInfo("brand"));
        sic.add(new SelectorItemInfo("shopDate"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("prePerson.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("prePerson.id"));
        	sic.add(new SelectorItemInfo("prePerson.number"));
        	sic.add(new SelectorItemInfo("prePerson.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("company.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("company.id"));
        	sic.add(new SelectorItemInfo("company.number"));
        	sic.add(new SelectorItemInfo("company.name"));
		}
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("preDepartment.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("preDepartment.id"));
        	sic.add(new SelectorItemInfo("preDepartment.number"));
        	sic.add(new SelectorItemInfo("preDepartment.name"));
		}
        sic.add(new SelectorItemInfo("remark"));
        return sic;
    }        
    	

    /**
     * output actionSubmit_actionPerformed method
     */
    public void actionSubmit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionSubmit_actionPerformed(e);
    }
    	

    /**
     * output actionUnAudit_actionPerformed method
     */
    public void actionUnAudit_actionPerformed(ActionEvent e) throws Exception
    {
        super.actionUnAudit_actionPerformed(e);
    }
	public RequestContext prepareActionSubmit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionSubmit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionSubmit() {
    	return false;
    }
	public RequestContext prepareActionUnAudit(IItemAction itemAction) throws Exception {
			RequestContext request = super.prepareActionUnAudit(itemAction);		
		if (request != null) {
    		request.setClassName(getUIHandlerClassName());
		}
		return request;
    }
	
	public boolean isPrepareActionUnAudit() {
    	return false;
    }

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.shop.client", "StartShopEditUI");
    }
    /**
     * output isBindWorkFlow method
     */
    public boolean isBindWorkFlow()
    {
        return true;
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.shop.client.StartShopEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.shop.StartShopFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.shop.StartShopInfo objectValue = new com.kingdee.eas.custom.shop.StartShopInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }


    	protected String getTDFileName() {
    	return "/bim/custom/shop/StartShop";
	}
    protected IMetaDataPK getTDQueryPK() {
    	return new MetaDataPK("com.kingdee.eas.custom.shop.app.StartShopQuery");
	}
    

    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}